# -*- encoding: utf-8 -*-

require 'test_helper'

class DotConfigTest < ActiveSupport::TestCase

  test 'module is defined' do
    assert Object.const_defined?(:DotConfig), 'Module undefined'
  end

  test 'has new method' do
    assert_respond_to DotConfig, :new, 'Method undefined'
    assert_instance_of DotConfig::Configuration, DotConfig.new(world: 'hello')
    assert_raise(ArgumentError) { DotConfig.new(:world) }
  end
end
